import { ReactiveController, ReactiveElement } from 'lit';
/**
 * Adds active scroll state detection
 */
export declare function stateScroll<T extends Scroll>(): ClassDecorator;
export interface StateScrollConfig {
    target?: HTMLElement;
    scrollOffset?: number;
}
export type Scroll = ReactiveElement & {
    _internals?: ElementInternals;
    stateScrollConfig?: StateScrollConfig;
};
export declare class StateScrollController<T extends Scroll> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): Promise<void>;
    hostDisconnected(): void;
}
